- if @source_branch.blank?
  = t('merge_request_section.source_branch_removed')

- elsif can_remove_branch?(@merge_request.source_project, @merge_request.source_branch) && @merge_request.merged?
  .remove_source_branch_widget
    %p #{t('merge_request_section.changes_merged_into')} #{@merge_request.target_branch}. #{t('merge_request_section.can_remove_now')}
    = link_to project_branch_path(@merge_request.source_project, @source_branch), remote: true, method: :delete, class: "btn btn-primary btn-small remove_source_branch" do
      %i.icon-remove
      = t('merge_request_section.remove_source_branch_now')

  .remove_source_branch_widget.failed.hide
    #{t('merge_request_section.failed_remove_source_branch')} '#{@merge_request.source_branch}'

  .remove_source_branch_in_progress.hide
    %i.icon-refresh.icon-spin
    &nbsp;
    #{t('merge_request_section.removing_source_branch')} '#{@merge_request.source_branch}'. #{t('merge_request_section.please_wait_page_reloaded')}
    &nbsp;
